Skip to main content
GET
/
knowledge-hub
/
pages
List pages
curl --request GET \
  --url https://api.exec.com/rest/v1/knowledge-hub/pages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.exec.com/rest/v1/knowledge-hub/pages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.exec.com/rest/v1/knowledge-hub/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "p1a2b3c4d5e6",
      "title": "Pricing objection guide",
      "status": "published",
      "visibility": "workspace",
      "owner": {
        "id": "u1a2b3c4d5e6",
        "email": "[email protected]",
        "first_name": "Jane",
        "last_name": "Smith"
      },
      "folders": [
        {
          "id": "f1a2b3c4d5e6",
          "name": "Sales",
          "emoji": "💼"
        }
      ],
      "skills": [
        {
          "id": "sk1a2b3c4d5e",
          "name": "Objection handling"
        }
      ],
      "source_count": 3,
      "version": 4,
      "cover": "",
      "published_at": "2026-06-01T12:00:00Z",
      "created_at": "2026-05-01T09:00:00Z",
      "updated_at": "2026-06-10T15:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 50,
    "total_count": 123,
    "total_pages": 3
  }
}
{
"error": {
"type": "invalid_request",
"code": "invalid_pagination",
"message": "Invalid pagination parameters"
}
}
{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or inactive API key"
}
}

Authorizations

Authorization
string
header
required

API key created in Settings > API.

Format: exec_live_ followed by 40 alphanumeric characters.

Query Parameters

folder_id
string

Filter by folder UUID

status
enum<string>

Filter by page status

Available options:
draft,
published,
archived
owner_id
string

Filter by the page owner's user UUID

skill_id
string

Filter by an associated skill UUID

query
string

Case-insensitive search over page titles

updated_after
string<date-time>

Only include pages updated on or after this date (ISO 8601)

updated_before
string<date-time>

Only include pages updated on or before this date (ISO 8601)

sort
enum<string>
default:updated_at

Sort field. updated_at and created_at are newest-first; title is A–Z.

Available options:
updated_at,
created_at,
title
page
integer
default:1

Pagination page number (1-indexed) — which page of results to return, not a Knowledge Hub page.

Required range: x >= 1
page_size
integer
default:50

Number of results per page (max 100)

Required range: 1 <= x <= 100

Response

Paginated list of pages (metadata only)

data
object[]
pagination
object